Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class dropGoal

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.dropGoal

All Implemented Interfaces:
  InternalAction, java.io.Serializable

Deprecated. use fail_goal or succeed_goal accordingly.

    public class dropGoal

extends DefaultInternalAction

See Also:
  Serialized Form

Constructor Summary
`dropGoal()` Deprecated.

Method Summary
`void` | `drop(TransitionSystem ts, Literal l, boolean success, Unifier un)` Deprecated.
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Deprecated. Executes the internal action.

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, getMaxArgs, getMinArgs, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### dropGoal

    public dropGoal()

  Deprecated.

Method Detail

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Deprecated.
  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

### drop

    public void drop(TransitionSystem ts,
                     Literal l,
                     boolean success,
                     Unifier un)
              throws JasonException

  Deprecated.
  Throws:
    `JasonException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD